<!--
SPDX-FileCopyrightText: 2023 yuzu Emulator Project
SPDX-FileCopyrightText: 2024 suyu Emulator Project
SPDX-License-Identifier: GPL-3.0-or-later
-->

**Note**: We do not support or condone piracy in any form. In order to use suyu, you'll need keys from your real Switch system, and games which you have legally obtained and paid for. We do not intend to make money or profit from this project.

We're in need of developers. Please join our Discord server below if you want to contribute!
This repo is based on Yuzu EA 4176.

<hr />

<h1 align="center">
  <br>
  <a href="https://suyu.dev"><img src="dist/readme/suyu__Logo-Pill.svg" alt="suyu" height="128"></a>
  <br>
  <b>suyu</b>
  <br>
</h1>

<h4 align="center"><b>suyu</b> is the continuation of the world's most popular, open-source, Nintendo Switch emulator, yuzu.
<br>
It is written in C++ with portability in mind, and we're actively working on builds for Windows, Linux and Android.
</h4>

<p align="center">
  <a href="https://discord.gg/suyu">Discord</a> |
  <a href="#status">Status</a> |
  <a href="#development">Development</a> |
  <a href="#downloads">Downloads</a> |
  <a href="#building">Building</a> |
  <a href="#support">Support</a> |
  <a href="#license">License</a> |
  <a href="https://git.suyu.dev/suyu/suyu/actions">Pipelines</a>
</p>

## Status

Although we're able to make builds, we don't have a version ready for distribution yet. But we can always use more help! You can make a merge request if you'd like to see something changed, or you can [chat with other developers to find out what needs work](https://discord.gg/suyu).

**Note**: We try to update this README whenever we can, but some links might be broken, and some information may be outdated or irrelevant.

## Development

This project is completely free and open source, and anyone can contribute to help improve suyu.

Most of the development happens on GitLab. For development discussion, please join us on [Discord](https://discord.gg/suyu).

If you want to contribute, please take a look at the [Contributor's Guide](https://git.suyu.dev/suyu/suyu/wiki/Contributing) and [Developer Information](https://git.suyu.dev/suyu/suyu/wiki/Developer-Information).
You can also contact any of the developers on Discord to learn more about the current state of suyu.

## Downloads

* __Windows__: [Releases](https://git.suyu.dev/suyu/suyu/releases)
* __Linux__: [Releases](https://git.suyu.dev/suyu/suyu/releases)
* __macOS__: [Releases](https://git.suyu.dev/suyu/suyu/releases)
* __Android__: [Releases](https://git.suyu.dev/suyu/suyu/releases)

We have official builds [here.](https://git.suyu.dev/suyu/suyu/releases) If any website or person is claiming to have a build for suyu, take that with a grain of salt.

## Building

* __Windows__: [Windows Build](https://git.suyu.dev/suyu/suyu/wiki/Building-For-Windows)
* __Linux__: [Linux Build](https://git.suyu.dev/suyu/suyu/wiki/Building-For-Linux)
* __Android__: [Android Build](https://git.suyu.dev/suyu/suyu/wiki/Building-For-Android)
* __macOS__: [macOS Build](https://git.suyu.dev/suyu/suyu/wiki/Building-for-macOS)



## Support

If you have any questions, don't hesitate to ask us on [Discord](https://discord.gg/suyu). We don't bite!


## License

suyu is licensed under the free and open-source GPL-3.0-or-later license.
